type Dependency = {
    cr: any;
    secret: any;
};
export type Dependencies = {
    [key: string]: Dependency;
};
export declare class ResolverError extends Error {
    refKey: string;
    constructor(refKey: string);
}
export declare function resolve(cr: any, getItemByItemPath: Function, getSecret: Function, namespace?: string): Promise<Dependencies>;
export declare function resolveSecretRef(namespace: string, crDependency: any, getSecret: Function): Promise<any>;
export {};
